/**
 * This file is part of the OpenVIDIA project at http://openvidia.sf.net
 * Copyright (C) 2004, James Fung
 *
 * OpenVIDIA is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * OpenVIDIA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenVIDIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **/

#include <ListFileLoader.h>

ListFileLoader :: ListFileLoader (char *lfl) {
  strcpy( listFileName, lfl);
  cerr<<"List File: "<<listFileName<<endl;
  fp = fopen(listFileName, "r");
  if( fp == NULL ) {
    cerr<<"ERROR: Could not open listfile "<<listFileName<<endl;
  }
}

ListFileLoader :: ~ListFileLoader() {}

void ListFileLoader :: advanceFrame() {
  char nextfile[1024];

  if( fp == NULL ) 
    return;

  fscanf(fp, "%s\n", nextfile);
  cerr<<"loading "<<nextfile<<endl;
  loadFile(nextfile);
  return;
}
