/**
 * This file is part of the OpenVIDIA project at http://openvidia.sf.net
 * Copyright (C) 2004, James Fung
 *
 * OpenVIDIA is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * OpenVIDIA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenVIDIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **/

#ifndef _MAPPING_H
#define _MAPPING_H

int OrbitsRGBAmap[11][4] =
{
      //R,  G,  B,  A
       -1, -1, -1, -1,  //pass 0
       -1, -1, -1, -1,  //pass 1
        0,  1,  2,  3,  //pass 2
        4,  5,  6,  7,  //pass 3
        9, 10, 11, 13,  //pass 4
       14, 15, 18, 19,  //pass 5
       21, 22, 23, 27,  //pass 6
       29, 30, 31, 45,  //pass 7
       46, 47, 54, 55,  //pass 8
       12, 20, 28, 36,  //pass 9
       37, 38, 39, 63   //pass 10
};

#endif
